/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package propertyhandler;

/**
 * A fájlok helyét meghatározó osztály
 * @author Esta
 */
public class Properties {

    /**
     * Visszatér a felhasználó nevével.
     * @return a user neve
     */
    public static String getUserName() {
        if (Properties.isWindows()) {
            return System.getenv("USERNAME");
        } else if (Properties.isLinux()) {
            return System.getenv("USER");
        } else return "UNKNOWN";
    }
    
    /**
     * Olyan metódus, ami megállapítja, hogy windowst használunk-e a program futtatásához.
     * @return igen, ha windowst használunk.
     */
    public static boolean isWindows() {
        return System.getProperty("os.name").toLowerCase().startsWith("windows");
    }

    /**
     * Olyan metódus, ami megállapítja, hogy linuxot használunk-e a program futtatásához.
     * @return igen, ha linuxot használunk.
     */
    public static boolean isLinux() {
        return System.getProperty("os.name").toLowerCase().startsWith("linux");
    }
}
